import InterfaceMainService from './interface.main.service';
import InterfaceMainRepository from './interface.main.repository';
import { ObjectLiteral } from 'typeorm';
export declare class MainService<T extends ObjectLiteral> implements InterfaceMainService<T> {
    repository: InterfaceMainRepository<T>;
    constructor();
    destroyBatch(ids: string[] | number[]): Promise<T[]>;
    mainRepositories(): InterfaceMainRepository<T>;
    update(id: string | number, data: object): Promise<T | null>;
    destroy(id: string | number): Promise<T | null>;
    findAll(where?: object): Promise<T[]>;
    findOne(where: object): Promise<T | null>;
    create(data: T): Promise<T>;
}
